<?php
    use PHPMailer\PHPMailer\PHPMailer;
    use PHPMailer\PHPMailer\Exception;
    require_once "vendor/autoload.php";
    
function mailer ($subject, $to, $content) {
        global $mail_reply_to, $mail_from_email, $mail_from_name;
        // global $conn;

        //PHPMailer Object
        $mail = new PHPMailer(true); //Argument true in constructor enables exceptions

        //From email address and name
        $mail->From = $mail_from_email;
        $mail->FromName = $mail_from_name;

        //To address and name
        $mail->addAddress($to); //Recipient name is optional

        //Address to which recipient will reply
        $mail->addReplyTo($mail_reply_to, "Reply");

        //Send HTML or Plain Text email
        $mail->isHTML(true);

        $mail->Subject = $subject;
        $mail->Body = $content;
        $mail->AltBody = $content;

        try {
            $mail->send();
            return true;
        } catch (Exception $e) {
            // return false;
           // echo "There is an Error with sending<br />";
            // echo "Mailer Error: " . $mail->ErrorInfo;
        }
    }


    
    function mailer_with_attach ($subject, $to, $content, $attachment) {
        global $mail_reply_to, $mail_from_email, $mail_from_name;
        // global $conn;

        //PHPMailer Object
        $mail = new PHPMailer(true); //Argument true in constructor enables exceptions

        //From email address and name
        $mail->From = $mail_from_email;
        $mail->FromName = $mail_from_name;

        //To address and name
        $mail->addAddress($to); //Recipient name is optional

        //Address to which recipient will reply
        $mail->addReplyTo($mail_reply_to, "Reply");

        $mail->addAttachment($attachment);

        //Send HTML or Plain Text email
        $mail->isHTML(true);

        $mail->Subject = $subject;
        $mail->Body = $content;
        $mail->AltBody = $content;

        try {
            $mail->send();
        } catch (Exception $e) {
            echo "<script>alert('There is an Error with sending to " . $row['email'] . "')</script>";
            // echo "Mailer Error: " . $mail->ErrorInfo;
        }
    }
?>