<!DOCTYPE html>
<html lang="en">

<head>
  <title>Welcome | sprintLancer</title>
  <?php
    include_once "header.php";
  ?>

  <!-- ======= Hero Section ======= -->
  <section id="hero" class="clearfix">
    <div id="hero-overlay">
      <div class="container d-flex h-100">
        <div class="row justify-content-center align-self-center" data-aos="fade-up">
          <div class="col-lg-6 intro-info order-lg-first order-last" data-aos="zoom-in" data-aos-delay="100">
            <h2>Get your projects done remotely</h2>
            <p>Sprintlancer is an agile, lean and Project Support platform where individuals and Companies come to get their task or project Done.</p>
            <button class="overlay-hire-a-pro"><a href="#footer">Hire A Pro</a></button>
            <button class="overlay-join-us"><a href="join-us.php">Join us</a></button>
            <div>
              <!-- <a href="#about" class="btn-get-started scrollto">Get Started</a> -->
            </div>
          </div>
  
          <div class="col-lg-6 intro-img order-lg-last order-first" data-aos="zoom-out" data-aos-delay="200">
             <img src="assets/img/intro-img.svg" alt="" class="img-fluid"> 
          </div>
        </div>
  
      </div>
    </div>
  </section><!-- End Hero -->

  <main id="main">
    <!-- ======= Features Section ======= -->
    <section id="who-we-are" class="features">
      <!-- <h2>Who We Are</h2> -->
      <div class="container how-it-works-content" data-aos="fade-up">

        <div class="row feature-item">
          <div class="col-lg-6" data-aos="fade-right" data-aos-delay="100">
            <img src="assets/img/features-1.svg" class="img-fluid" alt="">
          </div>
          <div class="col-lg-6 wow fadeInUp pt-5 pt-lg-0" data-aos="fade-left" data-aos-delay="150">
            <h4 class="about-head">Who we are</h4>
            <p class="about-content">
              SprintLancer is your go-to company to deliver results time after time. You can rely on us to avert product or process failure and we take the hassle out of hiring a freelancer to deliver a task.
            </p>
            <p class="about-content">
              At SprintLancer, we have adopted a Lean culture and operate by combining both PMI and Prince2 methodologies. Our vetted developers are conversant in the most popular software languages. We align ourselves to the required time zones and security practices.
            </p>
            <p class="about-content">
              Best of all, our Sprint approach (two to four weeks for most engagement lifecycles) allows you to rest assured that you always receive the service that has been agreed.
            </p>
          </div>
        </div>

        <!-- <div class="row feature-item mt-5 pt-5 who-we-are-container">
          <h2>who we serve</h2>
          <div class="col-lg-6 wow fadeInUp order-1 order-lg-2" data-aos="fade-left" data-aos-delay="100">
            <span><i class="bi bi-building"></i></span>
            <ul>
              <li>Companies looking for an individual to complete a project on a long or short term bases aligned to your time zones and compliant to your security practices</li>
              <li>Companies having ideas and need to go LIVE with or without a team. We can come in once/twice in a week (London, Manchester, Dubai) more locations coming up soon.</li>
              <li>Companies who need to finish a Task/Project within Hours/Day(s) to Project Delivery.</li>
            </ul>
          </div>

          <div class="col-lg-6 wow fadeInUp pt-4 pt-lg-0 order-2 order-lg-1" data-aos="fade-right" data-aos-delay="150">
            <span><i class="bi bi-person"></i></span>
            <ul>
              <li>Individuals looking for freelancers to help complete a task or see them through in finishing a particular project</li>
              <li>Individuals looking for a little help to transition in their new ROLE at work i.e training, task/project completion </li>
              <li>Individuals with an idea and wants it LIVE </li>
            </ul>
          </div>

        </div> -->
        <div class="container who-we-serve" data-aos="fade-up">
          <h4>Who we serve</h4>
          <h6>companies and individuals</h6>
          <div class="row">
            <div class="col-md-6 col-lg-4 wow" data-aos="zoom-in" data-aos-delay="100">
              <div class="box">
                <div class="icon" style="background: #eafde7;"><i class="bi bi-search" style="color:#41cf2e;"></i></div>
                <!-- <h4 class="title"><a href="">Project Support</a></h4>  -->
                <p class="description">In search for an individual freelancer to complete a project or individual tasks on a long or short term basis.</p>
              </div>
            </div>

            <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="200">
              <div class=" box">
                <div class="icon" style="background: #e1eeff;"><i class="bi bi-brightness-high" style="color: #2282ff;"></i></div>
                <!-- <h4 class="title"><a href="">Remote Staffing</a></h4>  -->
                <p class="description">With an idea that needs to go ‘live’ but require a team to fulfil it.</p>
              </div>
            </div>
            <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="300">
              <div class="box">
                <div class="icon" style="background: #ecebff;"><i class="bi bi-briefcase-fill" style="color: #8660fe;"></i></div>
                <!-- <h4 class="title"><a href="">Software Development</a></h4>  -->
                <p class="description">Seeking assistance in role transition in terms of training, coaching and mentoring.</p>
              </div>
            </div>
        </div>
      </div>

        <div class="row feature-item simple-process">
          <div class="col-lg-6 simple-process-item-left" data-aos="fade-right" data-aos-delay="100">
            <!-- <img src="assets/img/features-1.svg" class="img-fluid" alt=""> -->
            <section id="simple-process" class="services section-bg">
              <h2>3 Simple Steps</h2>
              <h4>How it works</h4>
              <div class="container" data-aos="fade-up">
                <div class="row">
                  <div class="col-md-6 col-lg-4 wow" data-aos="zoom-in" data-aos-delay="100">
                    <div class="box">
                      <!-- <div class="icon" style="background: #eafde7;"><i class="bi bi-telephone-fill" style="color:#41cf2e;"></i></div> -->
                      <div class="icon" style="background: #eafde7;"><i class="" style="color:#41cf2e;">1</i></div>
                      <h4 class="title"><a href="">Briefing</a></h4>
                      <p class="description">explain your need(s) to us</p>
                    </div>
                  </div>
        
                  <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="200"">
                    <div class=" box">
                      <!-- <div class="icon" style="background: #e1eeff;"><i class="bi bi-brightness-high" style="color: #2282ff;"></i></div> -->
                      <div class="icon" style="background: #e1eeff;"><i class="" style="color: #2282ff;">2</i></div>
                      <h4 class="title"><a href="">Matching</a></h4>
                      <p class="description">we will provide the perfect solution or person to get the job done</p>
                    </div>
                  </div>
                  <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="300">
                    <div class="box">
                      <!-- <div class="icon" style="background: #ecebff;"><i class="bi bi-briefcase-fill" style="color: #8660fe;"></i></div> -->
                      <div class="icon" style="background: #ecebff;"><i class="" style="color: #8660fe;">3</i></div>
                      <h4 class="title"><a href="">Onboarding</a></h4>
                      <p class="description">we work together with you to get the best</p>
                    </div>
                  </div>
              </div>
        
              </div>
            </section><!-- End Services Section -->
          </div>
        </div>

      </div>
    </section><!-- End Features Section -->

    <!-- ======= Why Us Section ======= -->
    <section id="why-us" class="why-us">
      <div class="container-fluid" data-aos="fade-up">

        <header class="section-header">
          <h3>What You Get</h3>
        </header>

        <div class="row">
          <div class="col-lg-6">
            <div class="why-us-content what-you-get">
              <div class="features clearfix" data-aos="fade-up" data-aos-delay="100">
                <i class="bi bi-bookmarks" style="color: #f058dc;"></i>
                <h4>Hassle-free contracts </h4>
                <p>Our contracts are flexible and can be modify to suit your needs.</p>
              </div>

              <div class="features clearfix" data-aos="fade-up" data-aos-delay="200">
                <i class="bi bi-box-seam" style="color: #ffb774;"></i>
                <h4>You decide</h4>
                <p>Clients can negotiate a flexible payment rate based on specific tasks.</p>
              </div>

              <div class="features clearfix" data-aos="fade-up" data-aos-delay="300">
                <i class="bi bi-card-checklist" style="color: #589af1;"></i>
                <h4>Visibility</h4>
                <p>Each project is tracked with regular calls and live updated task board. Incremental deployments are delivered on a sprint-based release.</p>
              </div>
              <div class="features clearfix" data-aos="fade-up" data-aos-delay="300">
                <i class="bi bi-card-checklist" style="color: #589af1;"></i>
                <h4>Extra hands</h4>
                <p>Your allocated Sprintlancer will be supported by our in-house team for each assigned task. This allows your project to be delivered faster.</p>
              </div>
              <div class="features clearfix" data-aos="fade-up" data-aos-delay="300">
                <i class="bi bi-cash" style="color: #589af1;"></i>
                <h4>Satisfaction guaranteed</h4>
                <p>Our confidence in our service means that we only demand payment on a sprint-by-sprint basis (2-4 weekly), giving our clients assurance that they only pay when the deliverables are fulfilled. If required, we can attend face-to-face once or twice a week from our London, Manchester or Dubai hubs.</p>
              </div>
              <div class="features clearfix" data-aos="fade-up" data-aos-delay="300">
                <i class="bi bi-card-checklist" style="color: #589af1;"></i>
                <h4>Eliminate waste</h4>
                <p>Our Lean approach helps to boost productivity and maximise efficiency in your business.</p>
              </div>

            </div>

          </div>

        </div>

      </div>
    </section><!-- End Why Us Section -->

    <section id="competence" class="services section-bg">
      <h4>Core Competences</h4>
      <div class="container" data-aos="fade-up">
        <div class="row">
          <div class="col-md-6 col-lg-4 wow" data-aos="zoom-in" data-aos-delay="100">
            <div class="box">
              <div class="icon" style="background: #eafde7;"><i class="bi bi-telephone-fill" style="color:#41cf2e;"></i></div>
               <h4 class="title"><a href="">Project Support</a></h4> 
              <p class="description">Our in-house team assists individuals and companies to execute their agile-related projects by utilising novel means of delivering tasks remotely.</p>
            </div>
          </div>

          <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="200">
            <div class=" box">
              <div class="icon" style="background: #e1eeff;"><i class="bi bi-brightness-high" style="color: #2282ff;"></i></div>
               <h4 class="title"><a href="">Remote Staffing</a></h4> 
              <p class="description">We augment your company with remote staffing of experienced agile professionals, e.g. scrum masters, product owners and project managers, who are available short to long term.</p>
            </div>
          </div>
          <div class="col-md-6 col-lg-4" data-aos="zoom-in" data-aos-delay="300">
            <div class="box">
              <div class="icon" style="background: #ecebff;"><i class="bi bi-briefcase-fill" style="color: #8660fe;"></i></div>
               <h4 class="title"><a href="">Software Development</a></h4> 
              <p class="description">Our certified in-house development team and coders are well-versed in the most popular software languages including Python, PHP, Javascript, JAVA and Fullstack.</p>
            </div>
          </div>
      </div>

      </div>
    </section><!-- End Services Section -->

    <!-- ======= Clients Section ======= -->
    <section id="clients" class="clients">
      <div class="container" data-aos="zoom-in">

        <header class="section-header">
          <h3>Our Clients</h3>
          <p>Our team leads have worked with the following organisations</p>
        </header>

        <div class="clients-slider container">
          <div class="align-items-center row" id="clients-slider-wrapper">
            <div class="carousel-cell"><img src="assets/img/clients/appna.png" class="img-fluid" alt=""></div>
            <div class="carousel-cell"><img src="assets/img/clients/buybestbefore.png" class="img-fluid" alt=""></div>
            <div class="carousel-cell"><img src="assets/img/clients/insurepension.png" class="img-fluid" alt=""></div>
            <div class="carousel-cell"><img src="assets/img/clients/vsl-solutions.png" class="img-fluid" alt=""></div>
            <div class="carousel-cell"><img src="assets/img/clients/zois-energy.png" class="img-fluid" alt=""></div>
          </div>
        </div>

      </div>
      <!-- <div class="competence-slide container swiper-container">
        <div class="row swiper-wrapper align-items-center">
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Project Support</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Scrum Master</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Software Development</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Kanban</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Scrumban</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Prince2</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>PMP</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>LEAN</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>SixSigma</p>
          </div>
          <div class="col-lg-1 competence-slide-item swiper-slide">
            <p>Product Owner</p>
          </div>
        </div>
      </div> -->
    </section><!-- End Clients Section -->



    <!-- ======= OUR STORIES Section ======= -->
    <section id="our-stories">
      <div class="our-stories-container">
          <h3>Our Stories</h3>
          <div class="our-stories-items container">
              <div class="row our-stories-slider" id="our-stories-wrapper">
                  <div class="col-lg-4 container carousel-cell">
                    <div class="row">
                      <contain class="col-lg-10">
                        <div class="stories-item-content">
                            <p>
                              We didn’t know what to expect when we reached out to SprintLancer, as the deadline was imminent and our scrum master became ill. The SprintLancer team lead came in, assimilated seamlessly, picked up where the previous scrum master left off and got the job done. In fact, the project was delivered three days ahead of the deadline!
                            </p>
                        </div>
                        <div class="col-lg-12 stories-item-commentator">
                            <p>ZOIS Energy</p>
                        </div>
                      </contain>
                    </div>
                      
                  </div>
                  <div class="col-lg-4 container carousel-cell">
                    <div class="row">
                      <contain class="col-lg-10">
                        <div class="stories-item-content">
                            <p>
                              Whilst transitioning from my previous job to my first scrum master role, I found the initial project very tasking and I lacked the confidence to deliver. I contacted SprintLancer for their coaching and training services, which transformed my onboarding experience. I confidently delivered my tasks and was highly sought after for the next project.
                            </p>
                        </div>
                        <div class="col-lg-12 stories-item-commentator">
                            <p>Mitchelle A.</p>
                        </div>
                      </contain>
                    </div>
                  </div>
                  <div class="col-lg-4 container carousel-cell">
                    <div class="row">
                        <contain class="col-lg-10">
                            <div class="stories-item-content">
                                <p>
                                  We wanted to launch our business offering and needed someone to come in and lead the management of the whole project. SprintLancer was up to the task and were very savvy in spotting insights that we hadn’t noticed. Their help was invaluable!
                                </p>
                            </div>
                            <div class="col-lg-12 stories-item-commentator">
                                <p>CaneForest</p>
                            </div>
                        </contain>
                    </div>
                      
                  </div>
              </div>
          </div>
      </div>
    </section><!-- End OUR STORIES Section -->

    <!-- ======= F.A.Q Section ======= -->
    <section id="faq" class="faq">
      <div class="container" data-aos="fade-up">
        <header class="section-header">
          <h3>FAQ</h3>
          <p>get some of your questions answered before contacting us</p>
        </header>

        <ul class="faq-list" data-aso="fade-up" data-aos-delay="100">

          <li>
            <div data-bs-toggle="collapse" class="collapsed question" href="#faq1">What if you are working on a similar project? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq1" class="collapse" data-bs-parent=".faq-list">
              <p>
                We let new clients know if we are working on a similar project, however, there is a non-disclosure agreement for all our projects to maintain confidentiality
              </p>
            </div>
          </li>

          <li>
            <div data-bs-toggle="collapse" href="#faq2" class="collapsed question">what if i don’t like the finished product? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq2" class="collapse" data-bs-parent=".faq-list">
              <p>
                We will continue to make adjustments to fit your specification to guarantee client satisfaction before being paid.
              </p>
            </div>
          </li>

          <li>
            <div data-bs-toggle="collapse" href="#faq3" class="collapsed question">What if you cannot get the job done on time? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq3" class="collapse" data-bs-parent=".faq-list">
              <p>
                We will inform the client during project planning ahead of time or as matters arise from live tracking. Late penalties can be specified for individual contracts.
              </p>
            </div>
          </li>

          <li>
            <div data-bs-toggle="collapse" href="#faq4" class="collapsed question">Can I hire developers part-time? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq4" class="collapse" data-bs-parent=".faq-list">
              <p>
                Yes, we have in-house developers that work on some of our projects. We also have affiliate companies that we can refer to, if all of our developers are fully occupied.
              </p>
            </div>
          </li>

          <!-- <li>
            <div data-bs-toggle="collapse" href="#faq5" class="collapsed question">What if I cannot afford the payment any longer? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq5" class="collapse" data-bs-parent=".faq-list">
              <p>
                since we don’t take on projects that we don’t believe in, we get a stake(%)   in your project and you buy back some stack once the business starts making money.
              </p>
            </div>
          </li> -->

          <li>
            <div data-bs-toggle="collapse" href="#faq6" class="collapsed question">What if I need the team lead to come in face-to-face? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq6" class="collapse" data-bs-parent=".faq-list">
              <p>
                This is only available in the cities that we have team leads located, namely: London, Manchester and Dubai.
              </p>
            </div>
          </li>
          <li>
            <div data-bs-toggle="collapse" href="#faq7" class="collapsed question">Where is the team located? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq7" class="collapse" data-bs-parent=".faq-list">
              <p>
                We have team members across different continents around the world, with team leads specifically located in London, Manchester and Dubai.
              </p>
            </div>
          </li>
          <li>
            <div data-bs-toggle="collapse" href="#faq8" class="collapsed question">Question not here, what do I do? <i class="bi bi-chevron-down icon-show"></i><i class="bi bi-chevron-up icon-close"></i></div>
            <div id="faq8" class="collapse" data-bs-parent=".faq-list">
              <p>
              That’s okay, just contact us by clicking <a href= "#footer">here.</a>
              </p>
            </div>
          </li>

        </ul>

      </div>
    </section><!-- End F.A.Q Section -->

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer" class="section-bg">
    <div class="footer-top">
      <div class="container">

        <div class="row">

          <div class="col-lg-6">

            <div class="row">

              <div class="col-sm-6">

                <!-- <div class="footer-info">
                  <h3>sprintLancer</h3>
                </div> -->

                <div class="footer-links">
                  <h4>OFFICES</h4>
                  <div class="offices">
                    <p>London</p>
                    <p>Manchester</p>
                    <p>Dubai</p>
                  </div>
                  
                  
                  <p>
                    <!--90 White house way, <br>-->
                    <!--Barnett, London<br>-->
                    <!--England <br>-->
                    <strong>Phone: </strong> <a href="tel:+447803607047">+44 7803 6070 47</a><br>
                    <strong>Email: </strong><a href="mailto:hello@sprintlancer.com">hello@sprintlancer.com</a><br>
                  </p>
                </div>

              </div>

              <div class="col-sm-6">               

                

              </div>

            </div>

          </div>

          <div class="col-lg-6">

            <div class="form">

              <h4>Send us a message</h4>
              <form action="forms/contact.php" method="post" role="form" class="php-email-form" id="contact-us-form">
                <div class="form-group">
                  <input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                </div>
                <div class="form-group mt-3">
                  <input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                </div>
                <div class="form-group mt-3">
                  <input type="text" class="form-control" name="phone" id="phone" placeholder="Your Contact Number" required>
                </div>
                <div class="form-group mt-3">
                  <textarea class="form-control" name="message" rows="5" placeholder="Tell us about your needs" required></textarea>
                </div>
                <div class="text-center">
                  <button type="submit" title="Send Message">Send Message</button>
                </div>
              </form>

            </div>

          </div>

        </div>

      </div>
    </div>

    <div class="container">
      <div class="copyright">
        &copy; Copyright <strong>sprintLancer, 2021</strong>. All Rights Reserved
      </div>
    </div>
  </footer><!-- End  Footer -->

  <!-- <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a> -->

  <!-- Vendor JS Files -->
  <script src="assets/vendor/jquery.js"></script>
  <script src="assets/vendor/aos/aos.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.js"></script>
  <script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
  <script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>
  <script src="assets/vendor/purecounter/purecounter.js"></script>
   <!--<script src="assets/vendor/swiper/swiper-bundle.min.js"></script> -->
   <!--<script src="assets/vendor/flickity.js"></script> -->
  <script src="assets/vendor/slick/slick.js"></script>
  <script src="assets/vendor/sweetalert.js"></script>
  

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>

</body>

</html>