<?php
    if($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["join-us-submit"])) {
        $name = filter_var($_POST["full-name"], FILTER_SANITIZE_STRING) ? $_POST["full-name"] : "";
        $email = filter_var($_POST["email"], FILTER_VALIDATE_EMAIL) ? $_POST["email"] : "";
        $phone = filter_var($_POST["phone"], FILTER_SANITIZE_STRING) ? $_POST["phone"] : "";;
        $country = filter_var($_POST["country"], FILTER_SANITIZE_STRING) ? $_POST["country"] : "";
        $level = filter_var($_POST["level"], FILTER_SANITIZE_STRING) ? $_POST["level"] : "";
        $reason = filter_var($_POST["reason"], FILTER_SANITIZE_STRING) ? $_POST["reason"] : "";



        $upload_status = 0;
        $responses = [];
        $upload_dir = "applicants";
        $files = $_FILES['files'];
        // $allowed_types = array('pdf', 'doc', 'docx', 'jpg', 'png', 'jpeg');
        $allowed_types = array('pdf', 'doc', 'docx');
        foreach($files['name'] as $name_key=>$name_val){  
            $now = date("YmdHis");
            $file_name = $name . "_" . $now . "_" . basename($files['name'][$name_key]);  
            $target_filePath = $upload_dir . DIRECTORY_SEPARATOR . $file_name;  
            $file_type = pathinfo($target_filePath, PATHINFO_EXTENSION);  // Check whether file type is valid  
            if(in_array($file_type, $allowed_types)){  
                if(!move_uploaded_file($files["tmp_name"][$name_key], $target_filePath)){  // Upload file to server
                    $upload_status = 0;
                    $responses["upload_error"] = "problem uploading files";
                }
                else {
                    $upload_status = 1;

                    $applicant_files_list[] = $file_name;
                }
            }
            else{
                $upload_status = 0; 
                // $responses['message'] = 'Sorry, only PDF, DOC, JPG, JPEG, & PNG files are allowed for upload.'; 
                $responses['filetype_error'] = 'Sorry, only PDF, DOC and DOCX files are allowed for upload.'; 
            }  
        }

        if($upload_status == 1) {
            // echo "success";
            $responses = "success";

            $mail_reply_to = "hello@sprintlancer.com";
            $mail_from_email = $mail_reply_to;
            $mail_from_name = "SprintLancer";
            
            require_once "mailer.php";


            $subject = "Message from: $email";

            $content = <<<CONTENT
<h4>Applicant name: $name</h4>
<h4>Applicant phone: $phone</h4>
<h4>Applicant Email: $email</h4>
<h4>Applicant Level: $level</h4>
<h4>Applicant Country: $country</h4><hr /><br />

<h4>Reason for Application</h4>


$reason


CONTENT;
            mailer($subject, $mail_reply_to, $content);
            // echo "sent";

        }
        // else {
        //     foreach($responses as $response) {
        //         echo $response . "<br />";
        //     }
        // }
    }
    else {
        $responses = [];
    }
?>



<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Join our team | sprintLancer</title>
        <?php
            include_once "header.php";
        ?>
        <div class="join-us-container">
            <div>
                <div class="container">

                    <div class="row">

                        <div class="col-lg-6 join-us-left-content">
                            <div>
                                <h1>Join Our Team</h1>
                                <h6>
                                    We are open to expanding our talent base, so if you think you have what it takes to join our innovative, industrious and intrepid team, apply now!
                                </h6>
                                <p>
                                    <span>Human First</span> Being Remote doesn’t change our natural instinct, We understand the need for Human-to-Human communication.
                                </p>
                                <p>
                                    <span>Respect Timezones</span> People's availability are respected since we all can’t be available at the same time no one wants a zoom meeting by 3am.
                                </p>
                                <p>
                                    <span>Documentation</span> This is an integral part of what we do and our way is always to take note ALWAYS cause it makes everyone Productively EFFICIENT.
                                </p>
                                <p>
                                    <span>MEETUP</span>  When possible we meet though REMOTE is what we do. We know human contact is irreplaceable.
                                </p>
                                <p>
                                    <span>Evolve</span> We Love those that think different or ‘weirdos’ as they say. pls come with all the weirdness you can bring so we learn and evolve the weirdless WORLD.
                                </p>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form">
                                <h4>Fill the form</h4>
                                <form id="join-us-form" name="join-us" action="" method="post" enctype="multipart/form-data">
                                  <div class="">
                                      <!-- <label for="full-name">Full name</label> -->
                                      <input type="text" class="input-elem" name="full-name" placeholder="enter your name" required>
                                  </div>
                      
                                  <!-- <div class="">
                                      <label for="last-name">Last name</label>
                                      <input type="text" name="last-name" placeholder="client's last name" required>
                                  </div> -->
                      
                                  <div class="">
                                      <!-- <label for="email">Email</label> -->
                                      <input type="text" class="input-elem" name="email" placeholder="enter your email address" required>
                                  </div>
                                  <div class="">
                                      <!-- <label for="phone">Phone</label> -->
                                      <input type="text" class="input-elem" name="phone" placeholder="enter contact number">
                                  </div>
                                  <div class="">
                                    <!-- <label for="country" >COUNTRY</label> -->
                                    <select placeholder="Your Country of Residence" id="country" name="country" required>
                                        <?PHP
                                            include_once "countries.html";
                                        ?>
                                    </select>
                                  </div>
                                  <div class="join-level-container container">
                                    <div class="join-level row">
                                        <h4>What level are you applying for</h4>
                                        <div class="col-lg-3 col-sm-12">
                                            <input type="radio" name="level" value="Entry Level">
                                            <label for="level" >Entry Level</label>
                                        </div>
                                        <div class="col-lg-3 col-sm-12">
                                            <input type="radio" name="level" value="Mid Level">
                                            <label for="level" >Mid Level</label>
                                        </div>
                                        <div class="col-lg-4 col-sm-12">
                                            <input type="radio" name="level" value="Senior Level">
                                            <label for="level" >Senior Level</label>
                                        </div>
                                        <div class="col-lg-2 col-sm-12 level-help">
                                            <!-- <i class="bi bi-info-circle-fill" title="click to learn more about the different levels"></i> -->
                                        </div>
                                    </div>
                                    <!-- <div class="join-level-tooltip container">
                                        <div class="row">
                                            <div class="col-sm-10 tooltip-entry">
                                                <p>
                                                    Entry level candidates are placed on live training and the basics of the agile scrum methodology. They also get to understand the importance of Sprintlancer Lean culture and why we are so particular about eliminating WASTE. We advice and guide our candidate to their Agile certifications, and give basic Software development Access.
                                                </p>
                                            </div>
                                            <div class="col-sm-10 tooltip-mid">
                                                <p>
                                                    These are experienced and certified scrum masters and we try to take them to the next level where they can manage 3 or more teams (Scums of scrums) This is a complex method and it takes serious focus to align different teams together and bringing them to achieve one same Product Goal. Lean Culture is also thought on a more advanced phase and Remote project execution coupled with our in house Prince 2 and PMP merge
                                                </p>
                                            </div>
                                            <div class="col-sm-10 tooltip-senior">
                                                <p>
                                                    We hardly have any except just some midlevel candidate wanting to do and know more. Most Snr level/ consultants fail to realise they can still learn more especially from the younger consultants and the new updates in the Agile industry. We believe our approach and methodology coupled with our Lean culture engagement help snr Consultants get things done faster and eliminate WASTE.
                                                </p>
                                            </div>
                                        </div>
                                    </div> -->
                                  </div>
                                  <div class="join-us-reason-container">
                                      <h4>Reason for Application</h4>
                                      <textarea name="reason" placeholder="Tell us why you want to join SprintLancer"></textarea>
                                  </div>
                                  <div class="">
                                    <label name="file">
                                        <input type="file" name="files[]" id="client-document" multiple required>
                                        <span class="custom-file-input">attach your resume</span>
                                        <span id="upload-response"></span>
                                    </label>
                                  </div>
                                  <div class="">
                                      <label for="submit"></label>
                                      <input type="submit" name="join-us-submit" value="Submit">
                                  </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- ======= Footer ======= -->
        <footer class="section-bg join-us-footer">

            <div class="container">
            <div class="copyright">
                &copy; Copyright <strong>sprintLancer, 2021</strong>. All Rights Reserved
            </div>
            </div>
        </footer><!-- End  Footer -->

        <script src="assets/vendor/jquery.js"></script>
        <script src="assets/vendor/aos/aos.js"></script>
        <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
        <script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
        <script src="assets/vendor/php-email-form/validate.js"></script>
        <script src="assets/vendor/purecounter/purecounter.js"></script>
        <script src="assets/vendor/swiper/swiper-bundle.min.js"></script>
        <script src="assets/vendor/slick/slick.js"></script>
        <script src="assets/vendor/fancybox/core.js"></script>
        <script src="assets/vendor/sweetalert.js"></script>

        <!-- Template Main JS File -->
        <script src="assets/js/main.js"></script>

        <?php
            if(is_string($responses)) {
                echo "<script>swal('Form Submitted', 'We will get back to you shortly', 'success');</script>";
            }
            elseif(!empty($responses)) {
                $errors = implode("<br />", $responses);

                echo "<script>swal('Errors found', 'Please correct the following \n $errors', 'error');</script>";
            }
        ?>
    </body>
</html>